/* Copyright (c) 1998, MpegTV LLC */
#ifndef _dith_im_h
#define _dith_im_h
#ifndef lint
static const char rcsid_dith_im_h[] = "$Header: /net/hopkins/home/tristan/mpeg/dec/RCS/dith_im.h,v 1.2 1999/03/23 12:16:50 tristan Exp $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */


#include "mtvp/misc.h"

/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/
/* dithered image in the format suitable to be displayed */
typedef struct {
	u_int   width;				/* in pels */
	u_int   pitch;				/* in pels */
	u_int   height;				/* in pels */
	u_int   bytes_per_pel;		/* number of bytes per pel */

	u_char *array;				/* pels */

} VOH_DITHERED_IMAGE;

#endif /* _dith_im_h */
